Name:           md-renewed
Version:        1.4.3
Release:        1%{?dist}
Summary:        Restart service on Apache module mod_md certificate renewal
License:        MIT
Group:          System Environment/Base
URL:            http://netst.org/pub/fedora/st/
BuildArch:      noarch

Source0:        md-renewed
Source1:        md-message

Source2:        md-renewed.path
Source3:        md-renewed.service
Source4:        md-renewed.timer

Source5:        md-renewed-install
Source6:        md-renewed-install.timer
Source7:        md-renewed-install.service

Source10:       md-renewed-httpd.conf
Source11:       md-renewed.conf

Source20:       example.service
Source21:       example.cert
Source22:       example.sh

Requires:       httpd
Requires:       mod_md

%{?systemd_requires}
BuildRequires:      systemd-rpm-macros

%description
Restart service on Apache module mod_md certificate renewal

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 0755 %{buildroot}%{_libexecdir}/md-renewed
%{__install} -m 0755 %{SOURCE0} %{buildroot}%{_libexecdir}/md-renewed/md-renewed
%{__install} -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/md-renewed/md-message
%{__install} -m 0755 %{SOURCE5} %{buildroot}%{_libexecdir}/md-renewed/md-renewed-install

%{__install} -d -m 0755 %{buildroot}%{_unitdir}
%{__install} -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/
%{__install} -m 0644 %{SOURCE4} %{buildroot}%{_unitdir}/
%{__install} -m 0644 %{SOURCE6} %{buildroot}%{_unitdir}/
%{__install} -m 0644 %{SOURCE7} %{buildroot}%{_unitdir}/

%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__install} -m 0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/httpd/conf.d/md-renewed.conf

%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/md-renewed
%{__install} -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/md-renewed/

%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/md-renewed/example.com
%{__install} -m 0644 %{SOURCE20} %{buildroot}%{_sysconfdir}/md-renewed/example.com/
%{__install} -m 0644 %{SOURCE21} %{buildroot}%{_sysconfdir}/md-renewed/example.com/
%{__install} -m 0755 %{SOURCE22} %{buildroot}%{_sysconfdir}/md-renewed/example.com/

%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/errored
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/installed
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/installing
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/renewed
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/renewing
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/ocsp-renewed
%{__install} -d -m 0775 %{buildroot}%{_sharedstatedir}/httpd/md-renewed/ocsp-errored

%post
%systemd_post md-renewed.path
%systemd_post md-renewed.timer
%systemd_post md-renewed-install.timer

%preun
%systemd_preun md-renewed.path
%systemd_preun md-renewed.timer
%systemd_preun md-renewed-install.timer

%postun
%systemd_postun md-renewed.path
%systemd_postun md-renewed.timer
%systemd_postun md-renewed-install.timer

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)

%dir %{_sysconfdir}/md-renewed
%config(noreplace) %{_sysconfdir}/md-renewed/*
%config %{_sysconfdir}/httpd/conf.d/md-renewed.conf

%{_libexecdir}/md-renewed/md-renewed
%{_libexecdir}/md-renewed/md-renewed-install
%{_libexecdir}/md-renewed/md-message

%{_unitdir}/md-renewed.service
%{_unitdir}/md-renewed-install.service
%{_unitdir}/md-renewed.path
%{_unitdir}/md-renewed.timer
%{_unitdir}/md-renewed-install.timer

%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/errored
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/installed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/installing
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/renewed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/renewing
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/ocsp-renewed
%dir %attr(-, root, apache) %{_sharedstatedir}/httpd/md-renewed/ocsp-errored

%changelog
* Tue Nov  30 2021 Zoran Pericic <zpericic@netst.org> - 1.0.0-1
Initial release
